Initiate and Complete Discord OAuth Flow
curl --request GET \
--url https://api.example.com/discord/oauth \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/discord/oauth"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/discord/oauth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"cause": "<string>",
"code": 123,
"documentation": "<string>",
"extra": [
{
"code": 123,
"developer_reason": "<string>",
"name": "<string>",
"reason": "<string>"
}
],
"msTime": 123,
"success": true
}{
"cause": "<string>",
"code": 123,
"documentation": "<string>",
"extra": [
{
"code": 123,
"developer_reason": "<string>",
"name": "<string>",
"reason": "<string>"
}
],
"msTime": 123,
"success": true
}Discord
Initiate and Complete Discord OAuth Flow
Handles the Discord OAuth callback to exchange an authorization code for user access and refresh tokens. Upon successful authentication, returns the token details.
GET
/
discord
/
oauth
Initiate and Complete Discord OAuth Flow
Query Parameters
The authorization code received from Discord after user consent
Body
application/json
The body is of type object.
Response
Successfully exchanged authorization code for access and refresh tokens
The response is of type string.
⌘I